<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__resource__inst__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_resource_inst_t</compoundname>
    <includes local="no">cyhal_hw_resources.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__hw__types_1ga63b023ea7b5e73db59ddc0423c77975b">cyhal_resource_t</ref></type>
        <definition>cyhal_resource_t cyhal_resource_inst_t::type</definition>
        <argsstring />
        <name>type</name>
        <briefdescription>
<para>The resource block type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="131" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="131" />
      </memberdef>
      <memberdef id="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_resource_inst_t::block_num</definition>
        <argsstring />
        <name>block_num</name>
        <briefdescription>
<para>The resource block index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="132" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="132" />
      </memberdef>
      <memberdef id="structcyhal__resource__inst__t_1a4488a199114a86e5a72184c7a0a16c06" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_resource_inst_t::channel_num</definition>
        <argsstring />
        <name>channel_num</name>
        <briefdescription>
<para>The channel number, if the resource type defines multiple channels per block instance. </para>        </briefdescription>
        <detaileddescription>
<para>Otherwise, 0 </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="136" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="136" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Represents a particular instance of a resource on the chip. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <location bodyend="137" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="129" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="130" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__resource__inst__t_1a91895766b5f5efe1dfffac2d7537e73a" virt="non-virtual"><scope>cyhal_resource_inst_t</scope><name>block_num</name></member>
      <member prot="public" refid="structcyhal__resource__inst__t_1a4488a199114a86e5a72184c7a0a16c06" virt="non-virtual"><scope>cyhal_resource_inst_t</scope><name>channel_num</name></member>
      <member prot="public" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4" virt="non-virtual"><scope>cyhal_resource_inst_t</scope><name>type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>